---
title: Retrieve a list of all slots matching the specified parameters
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Network Interconnects](https://developers.cloudflare.com/api/python/resources/network_interconnects)

[Slots](https://developers.cloudflare.com/api/python/resources/network_interconnects/subresources/slots)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Retrieve a list of all slots matching the specified parameters

network\_interconnects.slots.list(SlotListParams\*\*kwargs) -> [SlotListResponse](<https://developers.cloudflare.com/api/python/resources/network_interconnects#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/cni/slots

Lists all available infrastructure slots for the account, showing allocation status and capacity.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Customer account tag

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

address\_contains: Optional\[str]

If specified, only show slots with the given text in their address field

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20address_contains%20%3E%20(schema)>)

cursor: Optional\[int]

formatint32

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20cursor%20%3E%20(schema)>)

limit: Optional\[int]

minimum0

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20limit%20%3E%20(schema)>)

occupied: Optional\[bool]

If specified, only show slots with a specific occupied/unoccupied state

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20occupied%20%3E%20(schema)>)

site: Optional\[str]

If specified, only show slots located at the given site

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20site%20%3E%20(schema)>)

speed: Optional\[str]

If specified, only show slots that support the given speed

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20speed%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SlotListResponse: …

</summary>

<details>

<summary>

items: List\[Item]

</summary>

id: str

Slot ID

formatuuid

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

facility: ItemFacility

</summary>

address: List\[str]

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20facility%20%3E%20(property)%20address">Link to this property</a>

name: str

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20facility%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20facility">Link to this property</a>

occupied: bool

Whether the slot is occupied or not

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20occupied">Link to this property</a>

site: str

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20site">Link to this property</a>

speed: str

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20speed">Link to this property</a>

account: Optional\[str]

Customer account tag

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20account">Link to this property</a>

ccr\_device\_name: Optional\[str]

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items%20%3E%20(items)%20%3E%20(property)%20ccr_device_name">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20items">Link to this property</a>

next: Optional\[int]

formatint32

<a href="#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)%20%3E%20(property)%20next">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.slots%20%3E%20(model)%20slot_list_response%20%3E%20(schema)>)

### Retrieve a list of all slots matching the specified parameters

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
slots = client.network_interconnects.slots.list(
    account_id="account_id",
)
print(slots.items)
```

200 example

```
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account",
      "ccr_device_name": "ccr_device_name"
    }
  ],
  "next": 0
}
```

##### Returns Examples

200 example

```
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account",
      "ccr_device_name": "ccr_device_name"
    }
  ],
  "next": 0
}
```